Commit 721f9988 authored by Seblu's avatar Seblu
Browse files

Remove i686 architecture

parent 60bd4fc4
Loading
Loading
Loading
Loading
+1 −2
Original line number Diff line number Diff line
@@ -21,10 +21,9 @@ package() {
  install -m644 pacman-multilib-seblu.conf "$pkgdir/usr/share/devtools"
  # install binaries
  install -m755 seblu-build seblu-build-commit seblu-mirrors seblu-commit \
    seblu-remove seblu-cleanup seblu-list seblu-push update-arch-chroots \
    seblu-remove seblu-cleanup seblu-push update-arch-chroots \
    "$pkgdir/usr/bin"
  # symlink archbuild
  ln -s archbuild "$pkgdir/usr/bin/seblu-i686-build"
  ln -s archbuild "$pkgdir/usr/bin/seblu-x86_64-build"
  ln -s archbuild "$pkgdir/usr/bin/multilib-seblu-build"
  # symlink to seblu-build
+1 −10
Original line number Diff line number Diff line
@@ -16,10 +16,6 @@
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

#chroot='/var/tmp/chroots'
#chroot_32="$chroot/seblu-i686"
#chroot_64="$chroot/seblu-x86_64"

[[ ! -f PKGBUILD ]] && echo 'No PKGBUILD' && exit 1

source /etc/makepkg.conf
@@ -40,14 +36,9 @@ in_array() {
	return 1 # Not Found
}

# arch amd64 build
# arch amd64 build and any builds
if in_array 'x86_64' "${arch[@]}" || in_array 'any' "${arch[@]}"; then
	$repo-x86_64-build "$@" || exit 1
fi

# arch x86 and any builds
if in_array 'i686' "${arch[@]}"; then
	$repo-i686-build "$@" || exit 1
fi

# vim:set ts=2 sw=2 ft=sh noet ai:
+1 −1
Original line number Diff line number Diff line
@@ -18,7 +18,7 @@

db='seblu.db.tar.gz'
repo='/srv/ftp/archlinux/seblu'
arch=('i686' 'x86_64')
arch=('x86_64')

# source makepkg config
. /etc/makepkg.conf
+1 −6
Original line number Diff line number Diff line
@@ -18,7 +18,6 @@

dbname='seblu'
repo="/srv/ftp/archlinux/$dbname"
repo_32="$repo/i686"
repo_64="$repo/x86_64"

# packages to add
@@ -113,9 +112,8 @@ shift $((OPTIND - 1));

for _pkg; do
	case "$_pkg" in
		*-i686$PKGEXT) to_32+=("$_pkg");;
		*-x86_64$PKGEXT) to_64+=("$_pkg");;
		*-any$PKGEXT) to_32+=("$_pkg"); to_64+=("$_pkg");;
		*-any$PKGEXT) to_64+=("$_pkg");;
	esac
done

@@ -126,9 +124,6 @@ fi

sign_pkg "${to_32[@]}" "${to_64[@]}"

# add i686 packages
add_pkg "$repo_32" "${to_32[@]}"

# add x86_64 packages
add_pkg "$repo_64" "${to_64[@]}"

seblu-list

deleted100755 → 0
+0 −57
Original line number Diff line number Diff line
#!/bin/bash

# Copyright © Sébastien Luttringer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

shopt -s xpg_echo

db='seblu.db.tar.gz'
repo='/srv/ftp/archlinux/seblu'

# source makepkg config
. /etc/makepkg.conf

cleanup() {
	[[ -e $arch32_file ]] && rm -f "$arch32_file"
	[[ -e $arch64_file ]] && rm -f "$arch64_file"
}

# remove temp file on exit
trap cleanup 0

# create temporary files for computes diff
arch32_file=$(mktemp -t ${0##*/}.XXXXX)
arch64_file=$(mktemp -t ${0##*/}.XXXXX)

# get pkg list from db
bsdtar -xOf "$repo/i686/$db" | awk '/^%NAME%/{getline;print}'|sort > "$arch32_file"
bsdtar -xOf "$repo/x86_64/$db" | awk '/^%NAME%/{getline;print}'|sort > "$arch64_file"

# list pkg in both arch
echo "\e[1;32m:: Package in both arch\e[0m"
comm -12 "$arch32_file" "$arch64_file"

# list pkg in arch i686
echo "\e[1;32m:: Package only in i686 arch\e[0m"
comm -23 "$arch32_file" "$arch64_file"

# list pkg in arch x86_64
echo "\e[1;32m:: Package only in x86_64 arch\e[0m"
comm -13 "$arch32_file" "$arch64_file"

exit 0

# vim:set ts=2 sw=2 ft=sh noet:
Loading